function ext_achievement_submit(name)

end

function ext_leaderboard_submit(board_name,score)

end

-- determine score based on time taken and rank
function get_score(time, rank)
    return math.floor(1000*rank + 10000/time + 0.5)
end

-- update leaderboards with current score
-- return true if new record
function add_leaderboard_score(score, time)
    local entry = GLOBAL.leaderboard[GLOBAL.current_level]
    local new_record = true
    if entry[1] ~= nil then
        if entry[1].score >= score then
            new_record = false
        end
    end
    entry[#entry+1] = {date=os.time(),time=time,rank=GLOBAL.current_difficulty,score=score}
    table.sort(entry, function(s1,s2) if s1 ~= nil and s2 ~= nil then if s1.score > s2.score then return true end end end)
    if #entry > GLOBAL.max_leaderboard_size then entry[#entry] = nil end
    return new_record
end